Bug 490837 - poor logging at file read
poor logging at file read
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Adam Tkac
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 05:39 EDT by Marek Mahut
Modified: 2013-04-30 19:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 03:37:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2009-03-18 05:39:13 EDT
If named.root is a directory and not a file, named throw I/O errors.

  Mar 18 04:10:30 ns02 named[22447]: could not configure root hints from 'etc/named.root': I/O error
  Mar 18 04:29:00 ns02 named[23746]: dns_master_load: etc/named.root:1: isc_lex_gettoken() failed: I/O error
  Mar 18 04:29:00 ns02 named[23746]: dns_master_load: etc/named.root:1: I/O error

Bind should check for EISDIR (in this case) and log correctly formated error accordingly.
Comment 5 errata-xmlrpc 2009-09-02 03:37:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1420.html

Note You need to log in before you can comment on or make changes to this bug.